
Foreman - Bug #7172

E-mail notifications/mailers aren't translated

08/20/2014 07:39 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Internationalization   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1813

  

Description

The mailers and their templates aren't translated, so users receive reports in English always.

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New

Has duplicate Foreman - Feature #8010: As a user, I want to receive e-mails i... Duplicate 10/21/2014

Associated revisions

Revision 3a36bdf6 - 10/31/2014 09:22 AM - Stephen Benjamin

fixes #7586, #7734, #7172 - user preferences for receiving mail notifications

Adds a framework for user-selectable mail notifications.  The work is

still done in ActionMailer classes and launch by rake in cron, however a

wrapper called MailNotification is used to provide RBAC and make the

association with users.

Plugins may seed their own mail notifications, see

db/seeds.d/16-mail-notifications.rb for an example.

Authors:

Shlomi Zadok <szadok@redhat.com>

Stephen Benjamin <stephen@redhat.com>

Revision 8192dbbb - 10/31/2014 02:34 PM - Stephen Benjamin

fixes #7586, #7734, #7172 - user preferences for receiving mail notifications

Adds a framework for user-selectable mail notifications.  The work is

still done in ActionMailer classes and launch by rake in cron, however a

wrapper called MailNotification is used to provide RBAC and make the

association with users.

Plugins may seed their own mail notifications, see

db/seeds.d/16-mail-notifications.rb for an example.

Authors:

Shlomi Zadok <szadok@redhat.com>

Stephen Benjamin <stephen@redhat.com>

(cherry picked from commit 3a36bdf6179cfb3207af623584c021addb674ffb)

History

#1 - 09/23/2014 07:46 AM - Stephen Benjamin

- Related to Tracker #7585: Mail notifications tracker added

#2 - 10/21/2014 10:06 AM - Stephen Benjamin

- Has duplicate Feature #8010: As a user, I want to receive e-mails in my own language added
#3 - 10/21/2014 10:26 AM - Shlomi Zadok

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1813 added

- Pull request deleted ()

Fixed while working on mail notifications.

Not sure why this haven't updated automatically...

#4 - 10/31/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3a36bdf6179cfb3207af623584c021addb674ffb.

#5 - 10/31/2014 10:04 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- Target version set to 1.7.2

- translation missing: en.field_release set to 21
